#######################################################################
# Key - Value Pairs
#
# Format: <key>=<value>
#######################################################################

# At least one of the ff should be ON
# DISCOVER_NET_FLAG, DISCOVER_USB_FLAG

# Discover Network Flag:
# Indicates that network devices are to be auto-discovered.
#
# 0 OFF
# 1 ON
DISCOVER_NET_FLAG=1

# Discover USB Flag:
# Indicates that USB devices are to be auto-discovered.
#
# 0 OFF
# 1 ON
DISCOVER_USB_FLAG=1

# Device List Order Mode:
# Indicates which type of devices are to be prioritized in device
# listing;
#
# 0 USB entries have priority
# 1 Network entries have priority
DEVICE_LIST_ORDER_MODE=0

# Pseudo Network Flag:
# Indicates that the pseudo network devices is to be shown when
# device listing is queried. Requires that DISCOVER_NET_FLAG is ON.
#
# 0 OFF
# 1 ON
SHOW_PSEUDO_NETWORK_FLAG=1


# Manufacturer Name List:
# Value is a comma(,) separated String list
#
# Lexmark/Dell/LG,Sourcetech
VENDOR_NAMES=Lexmark

#######################################################################
# Device ~ Configuration File Mapping
#######################################################################

usb 043d 028a /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 031b /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 028c /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 028d /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 0309 /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 029d /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 029e /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 0302 /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 0303 /usr/lexscan/etc/scan17.conf "JP" 1
usb 043d 0304 /usr/lexscan/etc/scan17.conf "JP" 1


usb 043d 026e /usr/lexscan/etc/scan17.conf "SF" 1
usb 043d 0294 /usr/lexscan/etc/scan17.conf "MRC" 1
usb 043d 026f /usr/lexscan/etc/scan17.conf "SF" 1
usb 043d 0270 /usr/lexscan/etc/scan17.conf "SF" 1
usb 043d 0284 /usr/lexscan/etc/scan17.conf "SF" 1
usb 043d 0271 /usr/lexscan/etc/scan17.conf "MR" 1
usb 043d 0285 /usr/lexscan/etc/scan17.conf "MR" 1
usb 043d 0297 /usr/lexscan/etc/scan17.conf "SFC" 1
usb 043d 0296 /usr/lexscan/etc/scan17.conf "SFC" 1
usb 043d 0295 /usr/lexscan/etc/scan17.conf "SFC" 1


usb 043d 0346 /usr/lexscan/etc/scan17.conf "BD" 1
usb 043d 034e /usr/lexscan/etc/scan17.conf "BD" 1
usb 043d 0350 /usr/lexscan/etc/scan17.conf "BD" 1
usb 043d 034f /usr/lexscan/etc/scan17.conf "BD" 1

usb 0x043d 0x0120 /usr/lexscan/etc/scan6.conf "EW"
usb 0x043d 0x0121 /usr/lexscan/etc/scan6.conf "EW"
usb 0x043d 0x0128 /usr/lexscan/etc/scan6.conf "BR"
usb 0x043d 0x014F /usr/lexscan/etc/scan6.conf "BS"
usb 0x043d 0x0149 /usr/lexscan/etc/scan6.conf "MT"
usb 0x043d 0x0152 /usr/lexscan/etc/scan6.conf "MT"
usb 0x043d 0x0168 /usr/lexscan/etc/scan6.conf "BS"
usb 0x043d 0x0169 /usr/lexscan/etc/scan6.conf "BS"
usb 0x043d 0x016A /usr/lexscan/etc/scan6.conf "BS"

usb 043d 0279 /usr/lexscan/etc/scan16.conf "BUKR2"


usb 043d 031f /usr/lexscan/etc/scan17.conf "SG" 1

usb 0x043d 0x01D6 /usr/lexscan/etc/scan14.conf "PE"
usb 0x043d 0x01D7 /usr/lexscan/etc/scan14.conf "PE"
usb 0x043d 0x01D8 /usr/lexscan/etc/scan14.conf "PE"
usb 0x043d 0x01DC /usr/lexscan/etc/scan14.conf "PE"
usb 0x043d 0x01DE /usr/lexscan/etc/scan14.conf "PE"
usb 0x043d 0x01E0 /usr/lexscan/etc/scan14.conf "PE"
usb 0x043d 0x01FA /usr/lexscan/etc/scan14.conf "FR"
usb 0x043d 0x01FB /usr/lexscan/etc/scan14.conf "PL"
usb 0x043d 0x01FC /usr/lexscan/etc/scan14.conf "SP"
usb 0x043d 0x01FD /usr/lexscan/etc/scan14.conf "EG"
usb 0x043d 0x01FE /usr/lexscan/etc/scan14.conf "EM"
usb 0x043d 0x01FF /usr/lexscan/etc/scan14.conf "QN"
usb 0x043d 0x01F4 /usr/lexscan/etc/scan14.conf "VL"

usb 043d 034a /usr/lexscan/etc/scan17.conf "NF" 1
usb 043d 0349 /usr/lexscan/etc/scan17.conf "NF" 1

usb 0x043d 0x0227 /usr/lexscan/etc/scan16.conf "SR"
usb 0x043d 0x0228 /usr/lexscan/etc/scan16.conf "BB"
usb 0x043d 0x022A /usr/lexscan/etc/scan16.conf "BE"
usb 0x043d 0x022B /usr/lexscan/etc/scan16.conf "TC"
usb 0x043d 0x022F /usr/lexscan/etc/scan16.conf "GM"
usb 0x043d 0x0230 /usr/lexscan/etc/scan16.conf "SR"
usb 0x043d 0x0231 /usr/lexscan/etc/scan16.conf "SR"
usb 0x043d 0x0234 /usr/lexscan/etc/scan16.conf "GM"
usb 0x043d 0x0235 /usr/lexscan/etc/scan16.conf "GM"

usb 0x043d 0x0244 /usr/lexscan/etc/scan16.conf "KB"
usb 0x043d 0x0245 /usr/lexscan/etc/scan16.conf "KT"
usb 0x043d 0x0246 /usr/lexscan/etc/scan16.conf "KS"
usb 0x043d 0x0247 /usr/lexscan/etc/scan16.conf "KR"
usb 0x043d 0x0248 /usr/lexscan/etc/scan16.conf "KG"

usb 0x043d 0x024A /usr/lexscan/etc/scan16.conf "DJ"

usb 0x043d 0x024E /usr/lexscan/etc/scan16.conf "MG"
usb 0x043d 0x024F /usr/lexscan/etc/scan16.conf "KM"

usb 043d 027a /usr/lexscan/etc/scan16.conf "TUKR2"


usb 043d 0261 /usr/lexscan/etc/scan17.conf "Dun" 1
usb 043d 0313 /usr/lexscan/etc/scan17.conf "Dun" 1
usb 043d 0305 /usr/lexscan/etc/scan17.conf "Dun" 1
usb 043d 0312 /usr/lexscan/etc/scan17.conf "Dun" 1
usb 043d 030e /usr/lexscan/etc/scan17.conf "Wyn" 1
usb 043d 0306 /usr/lexscan/etc/scan17.conf "Wyn" 1

usb 0x043d 0x012D /usr/lexscan/etc/scan13.conf "JG"
usb 0x043d 0x01C4 /usr/lexscan/etc/scan.conf "CL"
usb 0x043d 0x01C5 /usr/lexscan/etc/scan.conf "MR"
usb 0x043d 0x01C6 /usr/lexscan/etc/scan13.conf "TP"
usb 0x043d 0x01CF /usr/lexscan/etc/scan13.conf "TQ"
usb 0x043d 0x01D0 /usr/lexscan/etc/scan.conf "HC"
usb 0x043d 0x01D1 /usr/lexscan/etc/scan.conf "CV"
usb 0x043d 0x01DB /usr/lexscan/etc/scan13.conf "JG"
usb 0x043d 0x01ED /usr/lexscan/etc/scan13.conf "TQ"
usb 0x043d 0x01F1 /usr/lexscan/etc/scan13.conf "VK"
usb 0x043d 0x01F5 /usr/lexscan/etc/scan13.conf "VK"
usb 0x043d 0x0222 /usr/lexscan/etc/scan13.conf "CM"
usb 0x043d 0x0223 /usr/lexscan/etc/scan13.conf "NY"
usb 0x043d 0x0262 /usr/lexscan/etc/scan17.conf "PJ" 1
usb 0x043d 0x025A /usr/lexscan/etc/scan17.conf "PJ" 1
usb 0x043d 0x026A /usr/lexscan/etc/scan17.conf "PJ" 1
usb 0x043d 0x0259 /usr/lexscan/etc/scan17.conf "PA" 1
usb 0x043d 0x0269 /usr/lexscan/etc/scan17.conf "PA" 1
usb 0x043d 0x0256 /usr/lexscan/etc/scan17.conf "AT" 1
usb 0x043d 0x0257 /usr/lexscan/etc/scan17.conf "AT" 1

usb 043d 0277 /usr/lexscan/etc/scan17.conf "MH" 1
usb 043d 027b /usr/lexscan/etc/scan17.conf "MH" 1


usb 043d 0336 /usr/lexscan/etc/scan17.conf "LF" 1
usb 043d 0334 /usr/lexscan/etc/scan17.conf "LF" 1
usb 043d 0335 /usr/lexscan/etc/scan17.conf "LF" 1

net 0xFFFF 0xFFFF /usr/lexscan/etc/scan.conf "NW"
